OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepShape

# StepShape_FaceBasedSurfaceModel Class Reference

Representation of STEP entity FaceBasedSurfaceModel
.

`#include <StepShape_FaceBasedSurfaceModel.hxx>`

Inheritance diagram for StepShape_FaceBasedSurfaceModel:

[legend]

## Public Member Functions
Standard_EXPORT | StepShape_FaceBasedSurfaceModel ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aRepresentationItem_Name, const Handle(StepShape_HArray1OfConnectedFaceSet)&aFbsmFaces)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepShape_HArray1OfConnectedFaceSet | FbsmFaces () const
| Returns field FbsmFaces .
Standard_EXPORT void | SetFbsmFaces (const Handle(StepShape_HArray1OfConnectedFaceSet)&FbsmFaces)
| Set field FbsmFaces .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepShape_HArray1OfConnectedFaceSet | theFbsmFaces

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_FaceBasedSurfaceModel::StepShape_FaceBasedSurfaceModel | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepShape_HArray1OfConnectedFaceSet StepShape_FaceBasedSurfaceModel::FbsmFaces | ( |  | ) | const

Standard_EXPORT const StepShape_FaceBasedSurfaceModel::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_GeometricRepresentationItem.

Standard_EXPORT void StepShape_FaceBasedSurfaceModel::Init | ( | const Handle(TCollection_HAsciiString)& | aRepresentationItem_Name,
|  | const Handle(StepShape_HArray1OfConnectedFaceSet)& | aFbsmFaces
| ) |

Standard_EXPORT void StepShape_FaceBasedSurfaceModel::SetFbsmFaces | ( | const Handle(StepShape_HArray1OfConnectedFaceSet)& | FbsmFaces | ) |

## Field Documentation

Handle_StepShape_HArray1OfConnectedFaceSet StepShape_FaceBasedSurfaceModel::theFbsmFaces`[private]`

The documentation for this class was generated from the following file:

- StepShape_FaceBasedSurfaceModel.hxx